
/**  Little program for color transfer
*
* @author
*   Gabriel Zachmann, Sep 2006
*
* @bug
*   I'm sure there is still some bugs left ....
**/

#ifndef HISTOGRAM_H
#define HISTOGRAM_H

#include <QtGui/QImage>
#include <QtGui/QWidget>
#include <QtGui/QPainter>

class Histogram : public QWidget
{
    Q_OBJECT

public:

    Histogram(QWidget *parent = 0);
	~Histogram();

public slots:
	void slotSetHistogram(const int * const *histo, int numBins) { m_pHisto = histo; m_numBins = numBins; if ( 0 != m_pHisto ) computeMaxValue(); update(); }

signals:
	// ...

protected:
    void paintEvent(QPaintEvent *event);
	void computeMaxValue();

private:
	int					m_numBins;
	const int * const *	m_pHisto;					//!< histograms for all three channels
	int					m_maxValues[3];
};

#endif // HISTOGRAM_H
